summaryrefslogtreecommitdiffstats
path: root/source/xap/xchat
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/xap/xchat
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/xap/xchat')
-rw-r--r--source/xap/xchat/patches/patches.url1
-rw-r--r--source/xap/xchat/patches/xc286-smallfixes.diff68
-rw-r--r--source/xap/xchat/patches/xchat.gtk_2_14.diff191
-rw-r--r--source/xap/xchat/slack-desc19
-rwxr-xr-xsource/xap/xchat/xchat.SlackBuild114
5 files changed, 393 insertions, 0 deletions
diff --git a/source/xap/xchat/patches/patches.url b/source/xap/xchat/patches/patches.url
new file mode 100644
index 000000000..33531f7c9
--- /dev/null
+++ b/source/xap/xchat/patches/patches.url
@@ -0,0 +1 @@
+http://xchat.org/files/source/2.8/patches/
diff --git a/source/xap/xchat/patches/xc286-smallfixes.diff b/source/xap/xchat/patches/xc286-smallfixes.diff
new file mode 100644
index 000000000..da9001522
--- /dev/null
+++ b/source/xap/xchat/patches/xc286-smallfixes.diff
@@ -0,0 +1,68 @@
+#
+# Various small fixes from CVS that are considered safe to apply to 2.8.6.
+#
+--- xchat-2.8.6/src/common/cfgfiles.c 2008-02-05 21:02:47.000000000 +1100
++++ xchat-2.8.6p1/src/common/cfgfiles.c 2008-06-15 13:45:43.000000000 +1000
+@@ -886,7 +886,6 @@
+ set_showval (session *sess, const struct prefs *var, char *tbuf)
+ {
+ int len, dots, j;
+- static const char *offon[] = { "OFF", "ON" };
+
+ len = strlen (var->name);
+ memcpy (tbuf, var->name, len);
+@@ -909,8 +908,10 @@
+ *((int *) &prefs + var->offset));
+ break;
+ case TYPE_BOOL:
+- sprintf (tbuf + len, "\0033:\017 %s\n", offon[
+- *((int *) &prefs + var->offset)]);
++ if (*((int *) &prefs + var->offset))
++ sprintf (tbuf + len, "\0033:\017 %s\n", "ON");
++ else
++ sprintf (tbuf + len, "\0033:\017 %s\n", "OFF");
+ break;
+ }
+ PrintText (sess, tbuf);
+--- xchat-2.8.6/src/common/chanopt.c 2008-06-10 22:00:55.000000000 +1000
++++ xchat-2.8.6p1/src/common/chanopt.c 2008-06-15 13:48:04.000000000 +1000
+@@ -32,7 +32,7 @@
+
+ #define S_F(xx) STRUCT_OFFSET_STR(struct session,xx)
+
+-channel_options chanopt[] =
++static const channel_options chanopt[] =
+ {
+ {"alert_beep", "BEEP", S_F(alert_beep)},
+ {"alert_taskbar", NULL, S_F(alert_taskbar)},
+--- xchat-2.8.6/src/common/servlist.c 2008-04-01 19:22:34.000000000 +1100
++++ xchat-2.8.6p1/src/common/servlist.c 2008-06-15 13:57:41.000000000 +1000
+@@ -509,6 +509,8 @@
+ list = g_slist_nth (net->servlist, net->selected);
+ if (!list)
+ list = net->servlist;
++ if (!list)
++ return;
+ ircserv = list->data;
+
+ /* incase a protocol switch is added to the servlist gui */
+--- xchat-2.8.6/src/common/text.c 2008-03-28 13:20:04.000000000 +1100
++++ xchat-2.8.6p1/src/common/text.c 2008-06-15 13:59:59.000000000 +1000
+@@ -216,7 +216,7 @@
+ static void
+ scrollback_save (session *sess, char *text)
+ {
+- char buf[1024];
++ char buf[512 * 4];
+ time_t stamp;
+ int len;
+
+@@ -266,7 +266,7 @@
+ scrollback_load (session *sess)
+ {
+ int fh;
+- char buf[1024];
++ char buf[512 * 4];
+ char *text;
+ time_t stamp;
+ int lines;
diff --git a/source/xap/xchat/patches/xchat.gtk_2_14.diff b/source/xap/xchat/patches/xchat.gtk_2_14.diff
new file mode 100644
index 000000000..f0a42a1cc
--- /dev/null
+++ b/source/xap/xchat/patches/xchat.gtk_2_14.diff
@@ -0,0 +1,191 @@
+diff -ur xchat-2.8.6.orig/src/fe-gtk/about.c xchat-2.8.6/src/fe-gtk/about.c
+--- xchat-2.8.6.orig/src/fe-gtk/about.c 2008-04-01 10:58:38.000000000 +0200
++++ xchat-2.8.6/src/fe-gtk/about.c 2008-10-12 14:12:59.329706289 +0200
+@@ -16,7 +16,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ */
+
+-#define GTK_DISABLE_DEPRECATED
++/* #define GTK_DISABLE_DEPRECATED */
+
+ #include <stdio.h>
+ #include <stdlib.h>
+diff -ur xchat-2.8.6.orig/src/fe-gtk/ascii.c xchat-2.8.6/src/fe-gtk/ascii.c
+--- xchat-2.8.6.orig/src/fe-gtk/ascii.c 2008-02-05 11:02:50.000000000 +0100
++++ xchat-2.8.6/src/fe-gtk/ascii.c 2008-10-12 14:12:59.329706289 +0200
+@@ -16,7 +16,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ */
+
+-#define GTK_DISABLE_DEPRECATED
++/* #define GTK_DISABLE_DEPRECATED */
+
+ #include <stdio.h>
+ #include <stdlib.h>
+diff -ur xchat-2.8.6.orig/src/fe-gtk/banlist.c xchat-2.8.6/src/fe-gtk/banlist.c
+--- xchat-2.8.6.orig/src/fe-gtk/banlist.c 2008-02-05 11:02:50.000000000 +0100
++++ xchat-2.8.6/src/fe-gtk/banlist.c 2008-10-12 14:12:59.329706289 +0200
+@@ -16,7 +16,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ */
+
+-#define GTK_DISABLE_DEPRECATED
++/* #define GTK_DISABLE_DEPRECATED */
+
+ #include <stdio.h>
+ #include <stdlib.h>
+diff -ur xchat-2.8.6.orig/src/fe-gtk/fe-gtk.c xchat-2.8.6/src/fe-gtk/fe-gtk.c
+--- xchat-2.8.6.orig/src/fe-gtk/fe-gtk.c 2008-02-24 09:39:44.000000000 +0100
++++ xchat-2.8.6/src/fe-gtk/fe-gtk.c 2008-10-12 14:12:59.339702951 +0200
+@@ -16,7 +16,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ */
+
+-#define GTK_DISABLE_DEPRECATED
++/* #define GTK_DISABLE_DEPRECATED */
+
+ #include <stdio.h>
+ #include <string.h>
+diff -ur xchat-2.8.6.orig/src/fe-gtk/ignoregui.c xchat-2.8.6/src/fe-gtk/ignoregui.c
+--- xchat-2.8.6.orig/src/fe-gtk/ignoregui.c 2008-02-05 11:02:52.000000000 +0100
++++ xchat-2.8.6/src/fe-gtk/ignoregui.c 2008-10-12 14:12:59.343034799 +0200
+@@ -16,7 +16,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ */
+
+-#define GTK_DISABLE_DEPRECATED
++/* #define GTK_DISABLE_DEPRECATED */
+
+ #include <stdio.h>
+ #include <stdlib.h>
+diff -ur xchat-2.8.6.orig/src/fe-gtk/maingui.c xchat-2.8.6/src/fe-gtk/maingui.c
+--- xchat-2.8.6.orig/src/fe-gtk/maingui.c 2008-04-01 10:53:41.000000000 +0200
++++ xchat-2.8.6/src/fe-gtk/maingui.c 2008-10-12 14:12:59.349699891 +0200
+@@ -16,7 +16,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ */
+
+-#define GTK_DISABLE_DEPRECATED
++/* #define GTK_DISABLE_DEPRECATED */
+
+ #include <stdlib.h>
+ #include <string.h>
+diff -ur xchat-2.8.6.orig/src/fe-gtk/menu.c xchat-2.8.6/src/fe-gtk/menu.c
+--- xchat-2.8.6.orig/src/fe-gtk/menu.c 2008-06-08 09:59:37.000000000 +0200
++++ xchat-2.8.6/src/fe-gtk/menu.c 2008-10-12 14:12:59.349699891 +0200
+@@ -16,7 +16,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ */
+
+-#define GTK_DISABLE_DEPRECATED
++/* #define GTK_DISABLE_DEPRECATED */
+
+ #include <stdio.h>
+ #include <stdlib.h>
+diff -ur xchat-2.8.6.orig/src/fe-gtk/notifygui.c xchat-2.8.6/src/fe-gtk/notifygui.c
+--- xchat-2.8.6.orig/src/fe-gtk/notifygui.c 2008-02-05 11:03:34.000000000 +0100
++++ xchat-2.8.6/src/fe-gtk/notifygui.c 2008-10-12 14:12:59.363033500 +0200
+@@ -16,7 +16,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ */
+
+-#define GTK_DISABLE_DEPRECATED
++/* #define GTK_DISABLE_DEPRECATED */
+
+ #include <stdio.h>
+ #include <stdlib.h>
+diff -ur xchat-2.8.6.orig/src/fe-gtk/palette.c xchat-2.8.6/src/fe-gtk/palette.c
+--- xchat-2.8.6.orig/src/fe-gtk/palette.c 2008-02-05 11:02:52.000000000 +0100
++++ xchat-2.8.6/src/fe-gtk/palette.c 2008-10-12 14:12:59.363033500 +0200
+@@ -16,7 +16,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ */
+
+-#define GTK_DISABLE_DEPRECATED
++/* #define GTK_DISABLE_DEPRECATED */
+
+ #include <stdio.h>
+ #include <stdlib.h>
+diff -ur xchat-2.8.6.orig/src/fe-gtk/pixmaps.c xchat-2.8.6/src/fe-gtk/pixmaps.c
+--- xchat-2.8.6.orig/src/fe-gtk/pixmaps.c 2008-02-05 11:02:52.000000000 +0100
++++ xchat-2.8.6/src/fe-gtk/pixmaps.c 2008-10-12 14:12:59.363033500 +0200
+@@ -16,7 +16,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ */
+
+-#define GTK_DISABLE_DEPRECATED
++/* #define GTK_DISABLE_DEPRECATED */
+
+ #include <stdio.h>
+ #include <string.h>
+diff -ur xchat-2.8.6.orig/src/fe-gtk/plugingui.c xchat-2.8.6/src/fe-gtk/plugingui.c
+--- xchat-2.8.6.orig/src/fe-gtk/plugingui.c 2008-02-05 11:02:52.000000000 +0100
++++ xchat-2.8.6/src/fe-gtk/plugingui.c 2008-10-12 14:12:59.363033500 +0200
+@@ -16,7 +16,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ */
+
+-#define GTK_DISABLE_DEPRECATED
++/* #define GTK_DISABLE_DEPRECATED */
+
+ #include <string.h>
+ #include <stdio.h>
+diff -ur xchat-2.8.6.orig/src/fe-gtk/rawlog.c xchat-2.8.6/src/fe-gtk/rawlog.c
+--- xchat-2.8.6.orig/src/fe-gtk/rawlog.c 2008-02-24 05:49:37.000000000 +0100
++++ xchat-2.8.6/src/fe-gtk/rawlog.c 2008-10-12 14:12:59.366369608 +0200
+@@ -16,7 +16,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ */
+
+-#define GTK_DISABLE_DEPRECATED
++/* #define GTK_DISABLE_DEPRECATED */
+
+ #include <stdio.h>
+ #include <string.h>
+diff -ur xchat-2.8.6.orig/src/fe-gtk/search.c xchat-2.8.6/src/fe-gtk/search.c
+--- xchat-2.8.6.orig/src/fe-gtk/search.c 2008-02-05 11:02:53.000000000 +0100
++++ xchat-2.8.6/src/fe-gtk/search.c 2008-10-12 14:12:59.369703062 +0200
+@@ -16,7 +16,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ */
+
+-#define GTK_DISABLE_DEPRECATED
++/* #define GTK_DISABLE_DEPRECATED */
+
+ #include <stdio.h>
+ #include <string.h>
+diff -ur xchat-2.8.6.orig/src/fe-gtk/urlgrab.c xchat-2.8.6/src/fe-gtk/urlgrab.c
+--- xchat-2.8.6.orig/src/fe-gtk/urlgrab.c 2008-02-05 11:02:53.000000000 +0100
++++ xchat-2.8.6/src/fe-gtk/urlgrab.c 2008-10-12 14:12:59.376368714 +0200
+@@ -16,7 +16,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ */
+
+-#define GTK_DISABLE_DEPRECATED
++/* #define GTK_DISABLE_DEPRECATED */
+
+ #include <stdio.h>
+ #include <string.h>
+diff -ur xchat-2.8.6.orig/src/fe-gtk/userlistgui.c xchat-2.8.6/src/fe-gtk/userlistgui.c
+--- xchat-2.8.6.orig/src/fe-gtk/userlistgui.c 2008-02-05 11:02:53.000000000 +0100
++++ xchat-2.8.6/src/fe-gtk/userlistgui.c 2008-10-12 14:12:59.379703216 +0200
+@@ -16,7 +16,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ */
+
+-#define GTK_DISABLE_DEPRECATED
++/* #define GTK_DISABLE_DEPRECATED */
+
+ #include <stdio.h>
+ #include <string.h>
+diff -ur xchat-2.8.6.orig/src/fe-gtk/xtext.h xchat-2.8.6/src/fe-gtk/xtext.h
+--- xchat-2.8.6.orig/src/fe-gtk/xtext.h 2008-02-24 05:48:02.000000000 +0100
++++ xchat-2.8.6/src/fe-gtk/xtext.h 2008-10-12 14:10:49.203049619 +0200
+@@ -1,6 +1,7 @@
+ #ifndef __XTEXT_H__
+ #define __XTEXT_H__
+
++#include <gtk/gtktypeutils.h>
+ #include <gtk/gtkadjustment.h>
+ #ifdef USE_XFT
+ #include <X11/Xft/Xft.h>
diff --git a/source/xap/xchat/slack-desc b/source/xap/xchat/slack-desc
new file mode 100644
index 000000000..70c75e67c
--- /dev/null
+++ b/source/xap/xchat/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xchat: xchat (GTK+-based IRC client)
+xchat:
+xchat: X-Chat is a GTK+-based IRC (Internet Relay Chat) client.
+xchat:
+xchat:
+xchat:
+xchat:
+xchat:
+xchat:
+xchat:
+xchat:
diff --git a/source/xap/xchat/xchat.SlackBuild b/source/xap/xchat/xchat.SlackBuild
new file mode 100755
index 000000000..1f05472bf
--- /dev/null
+++ b/source/xap/xchat/xchat.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=2.8.6
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-3}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-xchat
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr
+
+cd $TMP
+rm -rf xchat-$VERSION
+tar xvf $CWD/xchat-$VERSION.tar.bz2 || exit 1
+cd xchat-$VERSION || exit 1
+if [ -d $CWD/patches ]; then
+ for file in $CWD/patches/*.diff.gz ; do
+ zcat $file | patch -p1 --verbose || exit 1
+ done
+fi
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --localstatedir=/var/lib \
+ --enable-tcl=/usr/lib${LIBDIRSUFFIX} \
+ --enable-ipv6 \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/xchat-$VERSION
+cp -a \
+ AUTHORS COPYING HACKING INSTALL README \
+ $PKG/usr/doc/xchat-$VERSION
+
+# In case they ever add this stuff:
+
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Compress info pages and purge "dir" file from the package:
+if [ -d $PKG/usr/info ]; then
+ ( cd $PKG/usr/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $TMP/package-xchat
+/sbin/makepkg -l y -c n $TMP/xchat-$VERSION-$ARCH-$BUILD.txz
+